<template>
	<div class="spinner steps-8 mx-auto relative">
		<div
			class="bullet absolute rounded-full top-1/2 left-1/2"
			v-for="(num, index) in bulletsNum"
			:key="index"
            :class="['bullet' + '-' + (index + 1)]"
		></div>
	</div>
</template>

<script>
export default {
	name: "Spinner",
    data() {
        return {
            bulletsNum: Array(8)
        }
    },
};
</script>

<style>
@keyframes rotate {
	0% {
		transform: rotate(0);
	}
	100% {
		transform: rotate(360deg);
	}
}

.spinner {
	height: 62px;
	width: 62px;
	animation: rotate 1s infinite steps(8);
}

.bullet {
	width: 7px;
	height: 7px;
	margin: -5px;
}

.bullet-1 {
	background-color: rgba(4,59,138,0.13);
	transform: scale(1) rotate(0deg) translate(31px);
}

.bullet-2 {
	background-color: rgba(4,59,138,0.25);
	transform: scale(1.25) rotate(45deg) translate(calc(31px - 14px * 0.35));
}

.bullet-3 {
	background-color: rgba(4,59,138,0.38);
	transform: scale(1.375) rotate(90deg) translate(calc(31px - 14px * 0.575));
}

.bullet-4 {
	background-color: rgba(4,59,138,0.5);
	transform: scale(1.5) rotate(135deg) translate(calc(31px - 14px * 0.75));
}

.bullet-5 {
	background-color: rgba(4,59,138,0.63);
	transform: scale(1.625) rotate(180deg) translate(calc(31px - 14px * 0.925));
}

.bullet-6 {
	background-color: rgba(4,59,138,0.75);
	transform: scale(1.75) rotate(225deg) translate(calc(31px - 14px * 1.05));
}
.bullet-7 {
	background-color: rgba(4,59,138,0.88);
	transform: scale(1.875) rotate(270deg) translate(calc(31px - 14px * 1.075));
}

.bullet-8 {
	background-color: #043B8A;
	transform: scale(2) rotate(315deg) translate(calc(31px - 14px * 1.1));
}
</style>